Subject: Re: [Shop-talk] Brake Pads

From: David Scheidt <[email-masked]>
Date: Thu, 2 Jul 2015 20:57:43 -0500

On Thu, Jul 2, 2015 at 5:04 PM, Steven Trovato <[email-masked]> wrote:
> Jim,
>
> I haven't worked on any Hondas in a while, but I would think it should be
> well within your capabilities, if you have done brakes on older vehicles in
> the past.  The internet takes all the mystery out of this stuff.  You can
> read how to do it, watch a video on how to do it and hear of the problems
> encountered by others.
>
> As for rotors, nobody turns them anymore.  They are made thin to start with
> and making them thinner makes them more prone to warping from heat.  I don't
> know how much of the issue is actually technical and how much is just
> economics, but that's the way it is.

Brake rotors do not warp.  They wear unevenly because they're not
installed properly (those screws serve a purpose, and lug nuts have
torque specs and patterns for a reason.) or have too much runout.
They get deposits of brake pad material, that can build up very
unevenly, which causes pedal pulsation.  If rotors are cut, they
should be done on the hub they're going to be used, so that they have
zero runout (spec is less than two thou on most things, a few things
are +0/-2).

-- 
David Scheidt
[email-masked]
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive